/*
 * Copyright (c) 2010, Oracle and/or its affiliates. All rights reserved.
 * DO NOT ALTER OR REMOVE COPYRIGHT NOTICES OR THIS FILE HEADER.
 */
package demo;

import javafx.scene.Node;

/**
 *
 * @author Sergey Grinev
 */
public class TestNodeLeaf extends TestNode {
    private final Node content;

    public TestNodeLeaf(String nodeName, Node content) {
        super(nodeName);
        this.content = content;
    }

    @Override
    public Node drawNode() {
        return content;
    }
}
